<?php
/* $Id: import_flexinode.inc,v 1.5 2005/07/01 23:37:02 drumm Exp $ */

function flexinode_node_import_types() {
  $types = array();
  foreach (flexinode_content_types() as $id => $type) {
    $types['flexinode-'. $id] = $type->name;
  }
  return $types;
}

function flexinode_node_import_fields($type) {
  $type = explode('-', $type);

  if ($type[0] == 'flexinode') {
    $content_type = flexinode_load_content_type($type[1]);
    $fields = array('title' => t('Title'));
    foreach ($content_type->fields as $field) {
      $fields['flexinode_'. $field->field_id] = $field->label;
    }
    return $fields;
  }
}

function flexinode_node_import_static($type) {
  global $user;
  $type = explode('-', $type);

  if ($type[0] == 'flexinode') {
    // Use the current user's information for importing stories.
    return array('ctype_id' => $type[1]);
  }
}

function flexinode_node_import_global($type) {
  $type = explode('-', $type);

  if ($type[0] == 'flexinode') {
    return implode('', taxonomy_node_form('flexinode-'. $type[1]));
  }
}

function flexinode_node_import_prepare(&$node, $preview = FALSE) {
  $type = explode('-', $node->type);

  if ($type[0] == 'flexinode') {
    $content_type = flexinode_load_content_type($type[1]);
    foreach ($content_type->fields as $field) {
      if ($field->field_type == 'timestamp' && isset($node->{'flexinode_'. $field->field_id})) {
        if (($time = strtotime($node->{'flexinode_'. $field->field_id})) == -1) {
          form_set_error($node->{'flexinode_'. $field->field_id}, t('Date is in an unrecognisable format, for example use "9/24/2005 8:02pm"'));
        }
        else {
          $time = getdate($time);
          $node->{'flexinode_'. $field->field_id .'year'} = $time['year'];
          $node->{'flexinode_'. $field->field_id .'month'} = $time['mon'];
          $node->{'flexinode_'. $field->field_id .'day'} = $time['mday'];
          $node->{'flexinode_'. $field->field_id .'hour'} = $time['hours'];
          $node->{'flexinode_'. $field->field_id .'minute'} = $time['minutes'];
        }
        unset($node->$whatdate);
      }
    }
  }
}

?>
