<?php
/**
 * CiviCRM configuration file.
 */

/**
 * Content Management System (CMS) Host:
 *
 * CiviCRM can be hosted in either Drupal or Mambo. Retain the default settings
 * for Drupal.
 * 
 * Settings for Mambo:
 *      define( 'CIVICRM_UF'       , 'Mambo' );
 *      define( 'CIVICRM_UF_URLVAR', 'task'  );
 */
define( 'CIVICRM_UF'               , 'Drupal' );
define( 'CIVICRM_UF_URLVAR'        , 'q'  );

/**
 * Enable CiviCRM Components:
 *
 * You can choose to enable or hide add-on components which provide additional functionality
 * for your CiviCRM site by listing the component names (separated by commas) below.
 *
 * EXAMPLE: enable the CiviContribute component for collecting and managing online and offline
 * contributions, as well as the CiviMail high capacity broadcast mail component:
 *      define( 'ENABLE_COMPONENTS', 'CiviContribute, CiviMail' );
 *
 */
define( 'ENABLE_COMPONENTS', '' );

/**
 *
 * Update the CIVICRM_UF_DSN setting to match your Drupal or Mambo database username, server and DB name.
 * Database URL format:
 *      define( 'CIVICRM_UF_DSN', 'mysql://drupal_db_username:drupal_db_password@db_server/drupal_database?new_link=true');
 */
define( 'CIVICRM_UF_DSN'           , 'mysql://drupal:YOUR_PASSWORD@localhost/drupal?new_link=true' );

/** 
 *
 * Update the CIVICRM_UF_USERSTABLENAME if needed to match the name of the table
 * where the CMS user data is stored. For default Drupal installs, this is 'users'.
 * If you are using table-prefixing for the users table, you must enter the tablename
 * with the prefix. Default table name for Joomla - 'jos_users'. For Mambo - 'mos_users'.
 */ 
define( 'CIVICRM_UF_USERSTABLENAME', 'users' );

/**
 * File system paths for this install:
 *
 * $civicrm_root is the file system path on your server where the civicrm
 * code is installed.
 *
 * CIVICRM_TEMPLATE_COMPILEDIR is the file system path where compiled templates are stored.
 *
 * CIVICRM_UPLOADDIR is the file system path to which CiviCRM files are uploaded.
 *
 * EXAMPLE - CivicSpace / Drupal:
 * If the path to the CivicSpace or Drupal home directory is /var/www/htdocs/civicspace
 * the $civicrm_root setting would be:
 *      $civicrm_root = '/var/www/htdocs/civicspace/modules/civicrm';
 *
 * the CIVICRM_TEMPLATE_COMPILEDIR would be:
 *      define( 'CIVICRM_TEMPLATE_COMPILEDIR', '/var/www/htdocs/civicspace/files/civicrm/templates_c' );
 *
 * and the CIVICRM_UPLOADDIR would be:
 *      define( 'CIVICRM_UPLOADDIR', '/var/www/htdocs/civicspace/files/civicrm/upload' );
 *
 * EXAMPLE - Mambo:
 * If the path to the Mambo home directory is /var/www/htdocs/mambo
 * the $civicrm_root setting would be:
 *      $civicrm_root = '/var/www/htdocs/mambo/administrator/components/com_civicrm/civicrm';
 *
 * the CIVICRM_TEMPLATE_COMPILEDIR would be:
 *      define( 'CIVICRM_TEMPLATE_COMPILEDIR', '/var/www/htdocs/mambo/media/civicrm/templates_c' );
 *
 * and the CIVICRM_UPLOADDIR would be:
 *      define( 'CIVICRM_UPLOADDIR', '/var/www/htdocs/mambo/media/civicrm/upload' );
 *	
 * Please make sure that the COMPILERDIR and UPLOADDIR are created and the
 * web server user has write access to that directory
 *
 */
global $civicrm_root;
$civicrm_root = '/var/www/htdocs/civicspace/modules/civicrm';
define( 'CIVICRM_TEMPLATE_COMPILEDIR', '/var/www/htdocs/civicspace/files/civicrm/templates_c' );
define( 'CIVICRM_UPLOADDIR'          , '/var/www/htdocs/civicspace/files/civicrm/upload/'  );

/**
 * Site URLs:
 *
 * This section defines absolute URLs to access the host CMS (Drupal or Mambo) and CiviCRM.
 * IMPORTANT: Trailing slashes are required for CIVICRM_HTTPBASE and CIVICRM_RESOURCEBASE. 
 *
 * EXAMPLE: if your Drupal site url is http://www.example.com/civicspace/
 * these variables would be set as below. Modify as needed for your install. If you do not
 * have clean url's turned on, make sure CIVICRM_MAINMENU is valid for your install. 
 * e.g. define( 'CIVICRM_MAINMENU'    , '/civicspace?q=civicrm' ) 
 */
define( 'CIVICRM_UF_BASEURL'  , 'http://www.example.com/civicspace/' );
define( 'CIVICRM_HTTPBASE'    , '/civicspace/'                     );
define( 'CIVICRM_RESOURCEBASE', '/civicspace/modules/civicrm/'     );
define( 'CIVICRM_MAINMENU'    , '/civicspace/civicrm'              );

/**
 * CiviCRM Database settings:
 *
 * Define the version of MySQL you are running. 
 * CiviCRM has been optimized for MySQL 4.1, but will also run on many 4.0.x versions.
 * If you are using a 4.0.x release of MySQL, you MUST change CIVICRM_MYSQL_VERSION to 4.0
 *
 * Define the database URL (CIVICRM_DSN) for the CiviCRM database and the Drupal/Mambo database
 * Database URL format:
 *      define( 'CIVICRM_DSN', 'mysql://crm_db_username:crm_db_password@db_server/crm_database?new_link=true');
 *
 * Drupal and CiviCRM can share the same database, or can be installed into separate databases.
 *
 * EXAMPLE: Drupal and CiviCRM running in the same database...
 *      DB Name = drupal, DB User = drupal
 *      define( 'CIVICRM_DSN'         , 'mysql://drupal:YOUR_PASSWORD@localhost/drupal?new_link=true' );
 *
 * EXAMPLE: Drupal and CiviCRM running in separate databases...
 *      Drupal  DB Name = drupal, DB User = drupal
 *      CiviCRM DB Name = civicrm, CiviCRM DB User = civicrm
 *      define( 'CIVICRM_DSN'         , 'mysql://civicrm:YOUR_PASSWORD@localhost/civicrm?new_link=true' );
 *
 * define( 'CIVICRM_MYSQL_PATH', '/usr/bin/' );
 *
 * This stores the installed path of mysql. You will need to verify and modify this value if you are
 * planning on using CiviCRMs built-in Database Backup utility. If you have shell access, you may be
 * able to query the path by using one of the following commands:
 * $ whereis mysql
 * $ type mysql
 */
define( 'CIVICRM_MYSQL_VERSION', 4.1 );
define( 'CIVICRM_DSN'          , 'mysql://civicrm:YOUR_PASSWORD@localhost/civicrm?new_link=true' );
define( 'CIVICRM_MYSQL_PATH', '/usr/bin/' );

/**
 * SMTP Server:
 *
 * If you are sending emails to contacts using CiviCRM's simple 'Send Email' functionality,
 * uncomment the two lines below and enter your smtp server address here (e.g.'smtp.example.com').
 * The standard STMP Port is 25, so you should only need to change that value if you find
 * that your SMTP server is running on a non-standard port.
 */
// define( 'CIVICRM_SMTP_SERVER' , 'YOUR SMTP SERVER' );
// define( 'CIVICRM_SMTP_PORT'   , 25 );

/**
 * Country Availability:
 *
 * The CIVICRM_COUNTRY_LIMIT option selects which countries are
 * available to the users of this CiviCRM install. The format of this option
 * is a comma-separated list of country ISO codes (US for United States, PL for
 * Poland, etc.). If you're not sure what is the code for a given country, you
 * can check it in the civicrm_country table and/or the xml/templates/civicrm_country.tpl
 * file. The empty default does not limit the country list.
 */
define( 'CIVICRM_COUNTRY_LIMIT' , '' );

/**
 * Province Availability:
 *
 * CiviCRM ships with a set of provinces derived from the ISO 3166-2 standard;
 * the civicrm_state_province table includes almost 3800 provinces. The
 * CIVICRM_PROVINCE_LIMIT option selects which countries' provinces are
 * available to the users of this CiviCRM install. The format of this option
 * is a comma-separated list of country ISO codes (US for United States, PL for
 * Poland, etc.). If you're not sure what is the code for a given country, you
 * can check it in the civicrm_country table and/or the xml/templates/civicrm_country.tpl
 * file. The default limits the province list to United States.
 */
define( 'CIVICRM_PROVINCE_LIMIT' , 'US' );


/**
 * Default Contact Country
 * 
 * When new contacts are added, the country field can be automatically populated wih
 * a default value. Use the country's ISO code here (US for United States, CA for Canada, etc).
 */
define( 'CIVICRM_DEFAULT_CONTACT_COUNTRY', 'US' );

/**
 * Default Currency
 *
 * For clarity, all of the money amounts in the CiviCRM database must have
 * their currencies specified. If the currency is not specified by the user
 * (in the API call, while importing contributions, etc.) the system uses the
 * below default currency.
 *
 * The currency must be specified by its ISO 4217
 * code: http://en.wikipedia.org/wiki/ISO_4217
 */
define( 'CIVICONTRIBUTE_DEFAULT_CURRENCY' , 'USD' );


/**
 * Localisation:
 *
 * Localisation for CiviCRM's user interface is supported via GNU gettext i18n library.
 * Each locale directory contains the translations for that language in .pot and .po files.
 * To switch to a locale other than the default 'en_US', enter the directory name for the
 * new locale (stored below civicrm/l10n directory). Locale format is 'langageCode_countryCode'
 * (e.g. 'pl_PL' for Polish translation).
 */
define( 'CIVICRM_LC_MESSAGES' , 'en_US' );

/**
 * Address Format:
 *
 * The format of address display and the source for address fields sequence in the edit forms.
 *
 * - Every {...token...} will be replaced with the token's value (keeping anything else inside
 *   the curly braces intact).
 * - If the value of a given token is missing, the whole {...} construct will be dropped.
 * - Any {non-token} construct will be turned into non-token if have tokens on both sides
 *   (i.e., will be dropped if on the beginning or end of any line after tokens are replaced).
 *   If there's no city, "{city}{, }{state_province}{ }{postal_code}" will turn first into
 *   "{, }California{ }12345" and then into "California 12345".
 * - If after token replacements there are consecutive {non-token} constructs, the first
 *   one's contents will replace the whole series. For example, if there's no state_province,
 *   "{city}{, }{state_province}{ }{postal_code}" will first turn into "San Francisco{, }{ }12345"
 *   and then into "San Francisco, 12345".
 */
define( 'CIVICRM_ADDRESS_FORMAT' , '
{street_address}
{supplemental_address_1}
{supplemental_address_2}
{city}{, }{state_province}{ }{postal_code}
{country}
' );

/**
 * Date Formatting:
 *
 * Formats for date display and input fields are configurable. Settings use standard POSIX sequences.
 * Standard U.S. layouts are set by default. Adjust as needed to match your locale/requirements.
 *
 * Refer to CiviCRM Localisation documentation for more info. 
 */ 
define( 'CIVICRM_DATEFORMAT_DATETIME', '%B %E%f, %Y %l:%M %P' );
define( 'CIVICRM_DATEFORMAT_FULL', '%B %E%f, %Y' );
define( 'CIVICRM_DATEFORMAT_PARTIAL', '%B %Y' );
define( 'CIVICRM_DATEFORMAT_YEAR', '%Y' );
define( 'CIVICRM_DATEFORMAT_QF_DATE', '%b %d %Y' );
define( 'CIVICRM_DATEFORMAT_QF_DATETIME', '%b %d %Y, %I : %M %P' );

/**
 * Money Display:
 *
 * Format for monetary values display.
 * %c - currency symbol ('$')
 * %C - currency ISO code ('USD')
 * %a - monetary amount, formatted by properly set LC_MONETARY
 *
 * The final 'look' of the formatted amount depends on the defined
 * CIVICRM_LC_MONETARY locale Locale format is 'langageCode_countryCode'.
 * The specified locale must be supported by the underlying operating system.
 */
define( 'CIVICRM_MONEYFORMAT', '%c %a' );
define( 'CIVICRM_LC_MONETARY', 'en_US' );

/**
 * Import - Maximum File Size:
 *
 * Default maximum Contact Import filesize is 1MB. You may increase this up to a hard-limit of 8MB.
 * However, imports above 1MB will take a 'long time' and are server resource intensive.
 * File size is expressed in bytes (1MB is entered as 1048576).
 */
define( 'CIVICRM_MAX_IMPORT_FILESIZE' , 1048576);

/**
 * Mapping:
 *
 * Plug-ins are included for both Google and Yahoo mapping service providers. Choose the
 * provider that has the best coverage for your commonly used locales by setting the Map
 * CIVICRM_MAP_PROVIDER to either 'Google' or 'Yahoo'.
 *
 * For GOOGLE mapping - request an API key for your site here:
 * http://www.google.com/apis/maps/signup.html
 *
 * When prompted for 'My Web Site URL' - enter the url for your CiviCRM menu followed by
 * the path '/contact/search'. Your API Key will be generated and displayed on the next page.
 *
 * EXAMPLE: if your Drupal site url is http://www.example.com/civicspace/ you would enter
 * 'http://www.example.com/civicspace/civicrm/contact/search'
 *
 * For YAHOO mapping - request an Application ID for your site here:
 * http://api.search.yahoo.com/webservices/register_application
 *
 * Enter either your Google API key OR Yahoo Application ID in the CIVICRM_MAP_API_KEY
 * setting below.
 * 
 * IMPORTANT: Both mapping providers require that Contact addresses include latitude
 * and longitude. You can populate these manually, or you must enable one of the
 * automatic Geocode lookup methods described in the next section.
 *
 */
define('CIVICRM_MAP_PROVIDER','');
define('CIVICRM_MAP_API_KEY', '');

/**
 * Geocode (latitude and longitude) Lookup:
 *
 * CiviCRM can be configured to automatically lookup and insert latitude and longitude for contact
 * addresses. The current version offers three methods for this lookup:
 * - local lookup in the Drupal zipcodes table (requires this table to be installed in the
 *   civicrm_db)
 *      define('CIVICRM_GEOCODE_METHOD', 'CRM_Utils_Geocode_ZipTable' );
 *
 * - remote geocode lookup using Yahoo
 *      define('CIVICRM_GEOCODE_METHOD', 'CRM_Utils_Geocode_Yahoo' );
 *
 * NOTE: You must request and enter a Yahoo Application ID to use Yahoo's geocode lookup service.
 * Enter this value in the CIVICRM_MAP_API_KEY above if you haven't already done so (the same ID
 * is used for mapping and geocode lookups).
 * 
 * - remote geocode lookup using geocoder.us
 *      define('CIVICRM_GEOCODE_METHOD', 'CRM_Utils_Geocode_RPC' );
 *
 * NOTE: Both remote lookup methods involve moderate to significant network overhead and have
 * usage limits. Yahoo's lookup is a bit faster, but neither method should be enabled when
 * Importing more than a few hundred contacts.
 *
 * You may also create and call your own class using the interface defined at
 * 'CRM_Utils_Geocode_API'.
 */
define('CIVICRM_GEOCODE_METHOD', '' );


/**
 * Automatically Check for New CiviCRM Versions
 *
 * CiviCRM can be configured to connect periodically to the OpenNGO website and
 * check for the availability of new versions. Set this value to true if you
 * want this install to perform such checks (the info about new versions will
 * be displayed on the main Administer CiviCRM control panel).
 */
define('CIVICRM_VERSION_CHECK', false);


/**
 * Payment Processor Settings
 *
 * If you are using CiviContribute for Online Contributions, you must obtain a Payment Processor
 * (merchant) account and configure your site and the settings below with that account information.
 * 
 * You should start with a Test Server (e.g. Sandbox) account, and configure both the LIVE and TEST
 * settings below using your test (sandbox) account info. Once you are ready to go live, update
 * the LIVE settings to use your live account info. Consult your Payment Processor's documentation
 * and CiviCRM Payment Processor Configuration documentation (http://objectledge.org/confluence/display/CRM/CiviContribute+Payment+Processor+Configuration)
 * for details on these settings.
 */
define( 'CIVICRM_CONTRIBUTE_PAYMENT_PROCESSOR'     , '' );
// Valid values are 'PayPal' (Website Payments Pro), 'PayPal_Express', and 'Moneris'.

define( 'CIVICRM_CONTRIBUTE_PAYMENT_RESPONSE_EMAIL', '' );
// The FROM email address for all automatic payment response (receipt) emails.

/*
 * TEST Payment Server (Sandbox) Settings
 */
// PayPal ONLY - path to the .cert AND .ppd files (SDK API Profile files)
define( 'CIVICRM_CONTRIBUTE_PAYMENT_TEST_CERT_PATH'     , '');

// API Password (PayPal) or API Token (Moneris)
define( 'CIVICRM_CONTRIBUTE_PAYMENT_TEST_PASSWORD'      , '' ); 

// Authentication key. For PayPal - use Administer CiviCRM >> Create PayPal API Profile to get this value.
// For Moneris - storeid.
define( 'CIVICRM_CONTRIBUTE_PAYMENT_TEST_KEY'           , '' ); 

/*
 * LIVE Payment Server Settings
 */
// PayPal ONLY - path to the .cert AND .ppd files (SDK API Profile files)
define( 'CIVICRM_CONTRIBUTE_PAYMENT_CERT_PATH'     , '' );

// API Password (PayPal) or API Token (Moneris)
define( 'CIVICRM_CONTRIBUTE_PAYMENT_PASSWORD'      , '' );

// Authentication key. For PayPal - use Administer CiviCRM >> Create PayPal API Profile to get this value.
// For Moneris - storeid.
define( 'CIVICRM_CONTRIBUTE_PAYMENT_KEY'           , '' );


/**
 * Multi-site Support
 *
 * CiviCRM uses Domain ID keys to allow you to store separate data sets for multiple sites
 * using the same codebase.
 *
 * Refer to the 'Multi-site Support' section of the Installation Guide for more info.
 */
define('CIVICRM_DOMAIN_ID' , 1 );

/**
 * Debugging
 *
 * Enable CIVICRM_DEBUG (value = 1) when you need to use one of the debug-related tools. These are 
 * triggered via URL parameters - IF CIVICRM_DEBUG is turned on.
 *
 * Debugging tools:
 * Smarty Debug Window - Loads all variables available to the current page template into a pop-up
 * window. To trigger, add '&smartyDebug=1' to any CiviCRM URL query string.
 *
 * Session Reset - Resets all values in your client session. To trigger, add '&sessionReset=2'
 *
 * Directory Cleanup - Empties template cache and/or upload file folders.
 *  To empty template cache (civicrm/templates_c folder), add '&directoryCleanup=1'
 *  To remove temporary upload files (civicrm/upload folder), add '&directoryCleanup=2'
 *  To cleanup both, add '&directoryCleanup=3'
 *
 * WARNING: Do not leave debugging enabled by default as it can be used to expose configuration
 * information to unauthorized browsers.
 */
define( 'CIVICRM_DEBUG', 0 );
 

/**
 * Mailer settings
 *
 * CIVICRM_MAILER_SPOOL_PERIOD -  Number of seconds between delivery attempts
 * for new outgoing mailings. (Used for CiviMail only.)
 */
define( 'CIVICRM_MAILER_SPOOL_PERIOD', 180);

/**
 * 
 * Do not change anything below this line. Keep as is
 *
 */

$include_path = '.'        . PATH_SEPARATOR .
                $civicrm_root . PATH_SEPARATOR . 
                $civicrm_root . DIRECTORY_SEPARATOR . 'packages' . PATH_SEPARATOR .
                get_include_path( );
set_include_path( $include_path );

define( 'CIVICRM_SMARTYDIR'  , $civicrm_root . DIRECTORY_SEPARATOR . 'packages' . DIRECTORY_SEPARATOR . 'Smarty' . DIRECTORY_SEPARATOR );
define( 'CIVICRM_TEST_DIR'   , $civicrm_root . DIRECTORY_SEPARATOR . 'test'   . DIRECTORY_SEPARATOR );
define( 'CIVICRM_DAO_DEBUG'  , 0 );
define( 'CIVICRM_TEMPLATEDIR', $civicrm_root . DIRECTORY_SEPARATOR . 'templates'   );
define( 'CIVICRM_PLUGINSDIR' , $civicrm_root . DIRECTORY_SEPARATOR . 'CRM' . DIRECTORY_SEPARATOR . 'Core' . DIRECTORY_SEPARATOR . 'Smarty' . DIRECTORY_SEPARATOR . 'plugins' );

define( 'CIVICRM_GETTEXT_CODESET'    , 'utf-8'   );
define( 'CIVICRM_GETTEXT_DOMAIN'     , 'civicrm' );
define( 'CIVICRM_GETTEXT_RESOURCEDIR', $civicrm_root . DIRECTORY_SEPARATOR . 'l10n' );

if ( function_exists( 'variable_get' ) && variable_get('clean_url', '0') != '0' ) {
    define( 'CIVICRM_CLEANURL', 1 );
} else {
    define( 'CIVICRM_CLEANURL', 0 );
}

?>
